Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IMenu

public interface IMenu

Interface fuer MenuEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer MenuEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addMenuListener(MenuListener listener)` Fuegt dem Control den uebergebenen Listener als MenuListener hinzu.
`String` | `getActionClassForMenu()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuEvent ausgeloest wurde.
`void` | `removeMenuListener(MenuListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForMenu(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuEvent ausgeloest wurde.

Method Detail

### getActionClassForMenu

    public String getActionClassForMenu()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer MenuEvent.

### setActionClassForMenu

    public void setActionClassForMenu(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MenuEvent.

### addMenuListener

    public void addMenuListener(MenuListener listener)

  Fuegt dem Control den uebergebenen Listener als MenuListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende MenuListener.

### removeMenuListener

    public void removeMenuListener(MenuListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD